Bug 212471 - emulators/open-vm-tools: Update to 10.1.0
Summary: emulators/open-vm-tools: Update to 10.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL: https://github.com/vmware/open-vm-too...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-09-08 01:41 UTC by Ravindra Kumar
Modified: 2017-04-25 04:24 UTC (History)
9 users (show)

See Also:
koobs: maintainer-feedback? (swills)
ngie: maintainer-feedback? (swills)


Attachments
patch-to-10.1.0 (96.64 KB, patch)
2017-02-21 19:10 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-10.1.0 (95.05 KB, patch)
2017-02-21 19:48 UTC, Enji Cooper
no flags Details | Diff
patch-to-10.1.0 (94.75 KB, patch)
2017-02-21 22:33 UTC, Enji Cooper
no flags Details | Diff
patch-to-10.1.0 (94.85 KB, patch)
2017-02-25 07:47 UTC, Enji Cooper
no flags Details | Diff
updated patch (98.83 KB, patch)
2017-02-27 18:49 UTC, Steve Wills
no flags Details | Diff
Updated patch 2017/02/28 (100.06 KB, patch)
2017-02-28 18:53 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Kumar 2016-09-08 01:41:18 UTC
New version of open-vm-tools is available from https://github.com/vmware/open-vm-tools/releases/tag/stable-10.0.5. It has been there for several months now. Could you please update it?

root@FreeBSD-11-64:~ # uname -a
FreeBSD FreeBSD-11-64 11.0-RC2 FreeBSD 11.0-RC2 #0 r304729: Wed Aug 24 08:46:45 UTC 2016     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  i386

root@FreeBSD-11-64:~ # pkg info open-vm-tools | head
open-vm-tools-1280544_12,1
Name           : open-vm-tools
Version        : 1280544_12,1
Installed on   : Wed Sep  7 18:25:58 2016 PDT
Origin         : emulators/open-vm-tools
Architecture   : freebsd:11:x86:32
Prefix         : /usr/local
Categories     : emulators kld
Licenses       : LGPL21
Maintainer     : swills@FreeBSD.org
Comment 1 Ravindra Kumar 2016-09-08 01:43:57 UTC
root@FreeBSD-11-64:~ # vmware-toolbox-cmd -v
9.4.0.25793 (build-1280544)
root@FreeBSD-11-64:~ # vmtoolsd -v
VMware Tools daemon, version 9.4.0.25793 (build-1280544)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-08 10:23:41 UTC
Thanks for the report Ravindra. If you could provide a patch updating the port that would be appreciated.
Comment 3 Kurt Jaeger freebsd_committer 2017-02-21 19:10:55 UTC
Created attachment 180200 [details]
patch-to-10.1.0

I've found this patch (TODO: where did I got this?) and need someone to run-test it.
Comment 4 Kurt Jaeger freebsd_committer 2017-02-21 19:13:59 UTC
Ah, found it: that patch comes from the maintainer, see 

https://lists.freebsd.org/pipermail/freebsd-ports/2017-January/106759.html
Comment 5 Enji Cooper freebsd_committer 2017-02-21 19:22:27 UTC
(In reply to Kurt Jaeger from comment #4)

pi@ reached out to me about this PR. I'll take the patch, rebase it, then do some run tests on my ^/head through ^/stable/9 VMs.
Comment 6 Enji Cooper freebsd_committer 2017-02-21 19:48:27 UTC
Created attachment 180202 [details]
patch-to-10.1.0

Updated patch, based on ^/head@r434550
Comment 7 Enji Cooper freebsd_committer 2017-02-21 22:33:16 UTC
Created attachment 180207 [details]
patch-to-10.1.0

Remove /usr/lib/debug directory removal -- this doesn't need to be done on ^/head@r313995 .
Comment 8 Steve Wills freebsd_committer 2017-02-22 16:59:58 UTC
(In reply to Ngie Cooper from comment #7)
Thanks for adding the patch from the CFT, I'd updated it with the change to remove the /usr/lib/debug directory removal already, perhaps you had an older version? I'll update it to remove the change to patch-vmmemctl-os.c since (a different version of) that is already committed. I'd appreciate any feedback on the updated version.
Comment 9 Enji Cooper freebsd_committer 2017-02-25 07:47:14 UTC
Created attachment 180275 [details]
patch-to-10.1.0

Change: add gdkpixbuf2 to USE_GNOME only when OPTION_SET+= X11 is set.
Comment 10 Steve Wills freebsd_committer 2017-02-27 18:49:43 UTC
Created attachment 180346 [details]
updated patch

Please see attached patch
Comment 11 Enji Cooper freebsd_committer 2017-02-27 20:42:38 UTC
(In reply to Steve Wills from comment #10)

The new patch doesn't work on 12.0-CURRENT @ r314359:

install  -m 0644 /usr/ports/emulators/open-vm-tools/work/open-vm-tools-10.1.0-4449150/open-vm-tools/modules/freebsd/vmblock.ko /usr/ports/emulators/open-vm-tools/work/stage/usr/local/lib/vmware-tools/modules/drivers/vmblock.ko
install: /usr/ports/emulators/open-vm-tools/work/open-vm-tools-10.1.0-4449150/open-vm-tools/modules/freebsd/vmblock.ko: No such file or directory
*** Error code 71
Comment 12 Enji Cooper freebsd_committer 2017-02-27 21:02:23 UTC
(In reply to Ngie Cooper from comment #11)

Ok. This has to deal with the fact that there's an issue with PORTS_MODULES and WRKDIRPREFIX where if I feed in MAKEOBJDIRPREFIX for WRKDIRPREFIX, it will cause build failures as noted below (which isn't new to the port version upgrade, probably).
Comment 13 Steve Wills freebsd_committer 2017-02-28 18:53:51 UTC
Created attachment 180364 [details]
Updated patch 2017/02/28

Here's another update which solves the issue in PR 209853 by having the service start/stop automatically and set the tools version to 0 on uninstall.
Comment 14 Kurt Jaeger freebsd_committer 2017-03-01 18:31:11 UTC
testbuilds now run to completion in my poudriere setup on 12a@r311651, 11a and 10i.
Comment 15 Kurt Jaeger freebsd_committer 2017-03-12 20:11:02 UTC
There's a newer version 10.1.5 out.
Comment 16 commit-hook freebsd_committer 2017-03-22 14:52:46 UTC
A commit references this bug:

Author: swills
Date: Wed Mar 22 14:52:02 UTC 2017
New revision: 436703
URL: https://svnweb.freebsd.org/changeset/ports/436703

Log:
  emulators/open-vm-tools: Update to 10.1.0

  PR:		212471

Changes:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-base64rename
  head/emulators/open-vm-tools/files/patch-configure
  head/emulators/open-vm-tools/files/patch-freebsd-8
  head/emulators/open-vm-tools/files/patch-getpwnam
  head/emulators/open-vm-tools/files/patch-hgfsProto.h
  head/emulators/open-vm-tools/files/patch-hgfsmounter-Makefile.in
  head/emulators/open-vm-tools/files/patch-lib__include__vm_assert.h
  head/emulators/open-vm-tools/files/patch-lib__include__vm_atomic.h
  head/emulators/open-vm-tools/files/patch-lib__vmCheck__vmcheck.c
  head/emulators/open-vm-tools/files/patch-lib_include_vmware_tools_log.h
  head/emulators/open-vm-tools/files/patch-libvmtools__i18n.c
  head/emulators/open-vm-tools/files/patch-modules-Makefile.in
  head/emulators/open-vm-tools/files/patch-modules__freebsd__vmhgfs__channel.h
  head/emulators/open-vm-tools/files/patch-net_compat.h
  head/emulators/open-vm-tools/files/patch-scripts-Makefile
  head/emulators/open-vm-tools/files/patch-scripts_linux_pam.d_vmtoolsd
  head/emulators/open-vm-tools/files/patch-toolbox__toolboxcmd-shrink.c
  head/emulators/open-vm-tools/files/patch-util_misc.c
  head/emulators/open-vm-tools/files/patch-vm_basic_asm.h
  head/emulators/open-vm-tools/files/patch-vm_basic_types.h
  head/emulators/open-vm-tools/files/patch-vmblock-vfsops.c
  head/emulators/open-vm-tools/files/patch-vmblock-vnops.c
  head/emulators/open-vm-tools/files/patch-vmblockmounter-Makefile.in
  head/emulators/open-vm-tools/files/patch-vmhgfs-Makefile
  head/emulators/open-vm-tools/files/patch-vmhgfs-kernelStubs.h
  head/emulators/open-vm-tools/files/patch-vmhgfs-os.c
  head/emulators/open-vm-tools/files/patch-vmhgfs-vfsops.c
  head/emulators/open-vm-tools/files/patch-vmhgfs-vnopscommon.c
  head/emulators/open-vm-tools/files/patch-vmmemctl-os.c
  head/emulators/open-vm-tools/files/patch-vmtoolsd-Makefile.in
  head/emulators/open-vm-tools/files/pkg-message.in
  head/emulators/open-vm-tools/files/vmware-kmod.in
  head/emulators/open-vm-tools/pkg-plist
  head/emulators/open-vm-tools-nox11/Makefile
Comment 17 Steve Wills freebsd_committer 2017-03-24 19:01:07 UTC
Port is updated.